FROM guneysu/python:3.5

ADD requirements.txt /tmp

RUN apk add -U --no-cache  \
  jpeg-dev zlib-dev libwebp-dev freetype-dev openjpeg-dev \
  libwebp-dev \
  build-base && \
  pip install -r /tmp/requirements.txt && \
  apk del *-dev build-base && \
  apk add openjpeg libjpeg zlib freetype libwebp

VOLUME /uploads
 VOLUME /static
 VOLUME /templates

ADD templates /templates
ADD app.py /

CMD python /app.py
